<template>
  <div>
    <v-card flat width="450" height="550" class="login-card">
      <v-card-text>
        <login-title title="Recuperar contraseña" />
        <v-form ref="form" v-model="valid" class="my-8">
          <v-text-field
            v-model="email"
            label="Correo electrónico"
            :rules="emailRules"
            required
            outlined
          />
        </v-form>
        <v-btn
          block
          class="restore-password-btn"
          height="50"
          color="primary"
          :loading="loading"
          @click="forgotPassword"
        >
          Restablecer contraseña
        </v-btn>
        <v-btn
          text
          block
          height="50"
          color="primary"
          class="mt-2"
          @click="$emit('change')"
        >
          Iniciar Sesión
        </v-btn>
      </v-card-text>
    </v-card>
  </div>
</template>
<script>
import LoginTitle from '~/components/Common/Login/LoginTitle';

export default {
  name: 'ForgotPasswordCard',
  components: {
    LoginTitle,
  },
  data() {
    return {
      loading: false,
      valid: false,
      modal: false,
      modalText:
        'Te hemos enviado un correo con el enlace para restablecer tu contraseña',
      email: '',
      emailRules: [
        v => !!v || 'El correo es requerido',
        v => /.+@.+\..+/.test(v) || 'El correo debe ser válido',
      ],
    };
  },
  methods: {
    forgotPassword() {
      this.$refs.form.validate();
      const payload = { email: this.email };
      if (this.valid) {
        console.log('valid =>', this.valid, payload);
        this.modal = true;
      }
    },
  },
};
</script>
<style scoped lang="scss">
.login-card {
  padding: 0 20px;
  display: flex;
  align-items: center;
}
.login-title {
  margin-bottom: 40px;
  text-align: center;
  h2 {
    font-size: 35px;
    color: #1ecd96 !important;
    margin-bottom: 15px;
  }
  h3 {
    letter-spacing: 1.04px;
    margin-bottom: 15px;
  }
}
.forgot {
  cursor: pointer;
  text-align: right;
}
</style>
